
From: Dominik Brodowski <linux@dominikbrodowski.net>

As a follow-up, we can allow the yenta-driver to be limited to PCMCIA
operation.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/Kconfig  |    3 ++-
 drivers/pcmcia/ti113x.h |    4 ----
 2 files changed, 2 insertions(+), 5 deletions(-)

diff -puN drivers/pcmcia/Kconfig~yenta-dont-depend-on-cardbus drivers/pcmcia/Kconfig
--- devel/drivers/pcmcia/Kconfig~yenta-dont-depend-on-cardbus	2005-07-06 01:15:45.000000000 -0700
+++ devel-akpm/drivers/pcmcia/Kconfig	2005-07-06 01:15:45.000000000 -0700
@@ -102,7 +102,8 @@ comment "PC-card bridges"
 
 config YENTA
 	tristate "CardBus yenta-compatible bridge support"
-	depends on CARDBUS
+	depends on PCI
+	select CARDBUS if !EMBEDDED
 	select PCCARD_NONSTATIC
 	---help---
 	  This option enables support for CardBus host bridges.  Virtually
diff -puN drivers/pcmcia/ti113x.h~yenta-dont-depend-on-cardbus drivers/pcmcia/ti113x.h
--- devel/drivers/pcmcia/ti113x.h~yenta-dont-depend-on-cardbus	2005-07-06 01:15:45.000000000 -0700
+++ devel-akpm/drivers/pcmcia/ti113x.h	2005-07-06 01:15:45.000000000 -0700
@@ -154,8 +154,6 @@
 #define ENE_TEST_C9			0xc9	/* 8bit */
 #define ENE_TEST_C9_TLTENABLE		0x02
 
-#ifdef CONFIG_CARDBUS
-
 /*
  * Texas Instruments CardBus controller overrides.
  */
@@ -843,7 +841,5 @@ static int ti1250_override(struct yenta_
 	return ti12xx_override(socket);
 }
 
-#endif /* CONFIG_CARDBUS */
-
 #endif /* _LINUX_TI113X_H */
 
_
